curl --request POST \
--url https://api.acedata.cloud/webextrator/render \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://platform.acedata.cloud"
}
'import requests
url = "https://api.acedata.cloud/webextrator/render"
payload = { "url": "https://platform.acedata.cloud" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://platform.acedata.cloud'})
};
fetch('https://api.acedata.cloud/webextrator/render', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "550e8400-e29b-41d4-a716-446655440001",
"started_at": 1746181800.123,
"finished_at": 1746181805.456,
"elapsed": 5.333,
"data": {
"kind": "render",
"url": "https://platform.acedata.cloud",
"finalUrl": "https://platform.acedata.cloud/",
"title": "Ace Data Cloud",
"status": 200,
"html": "<!doctype html><html lang=\"en\"><head><title>Ace Data Cloud</title></head><body>Ace Data Cloud</body></html>",
"text": "Ace Data Cloud provides AI data APIs for chat, image, video, audio, and web extraction.",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 Chrome/125.0 Safari/537.36",
"elapsedMs": 5300
}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "url is required"
},
"trace_id": "..."
}{
"success": false,
"error": {
"code": "too_many_requests",
"message": "queue is busy"
}
}{
"success": false,
"error": {
"code": "api_error",
"message": "internal server error"
}
}{
"success": false,
"error": {
"code": "timeout",
"message": "render exceeded timeout"
}
}Webextrator Render
curl --request POST \
--url https://api.acedata.cloud/webextrator/render \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://platform.acedata.cloud"
}
'import requests
url = "https://api.acedata.cloud/webextrator/render"
payload = { "url": "https://platform.acedata.cloud" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://platform.acedata.cloud'})
};
fetch('https://api.acedata.cloud/webextrator/render', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "550e8400-e29b-41d4-a716-446655440001",
"started_at": 1746181800.123,
"finished_at": 1746181805.456,
"elapsed": 5.333,
"data": {
"kind": "render",
"url": "https://platform.acedata.cloud",
"finalUrl": "https://platform.acedata.cloud/",
"title": "Ace Data Cloud",
"status": 200,
"html": "<!doctype html><html lang=\"en\"><head><title>Ace Data Cloud</title></head><body>Ace Data Cloud</body></html>",
"text": "Ace Data Cloud provides AI data APIs for chat, image, video, audio, and web extraction.",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 Chrome/125.0 Safari/537.36",
"elapsedMs": 5300
}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "url is required"
},
"trace_id": "..."
}{
"success": false,
"error": {
"code": "too_many_requests",
"message": "queue is busy"
}
}{
"success": false,
"error": {
"code": "api_error",
"message": "internal server error"
}
}{
"success": false,
"error": {
"code": "timeout",
"message": "render exceeded timeout"
}
}Authorizations
API token from https://platform.acedata.cloud
Headers
Webextrator Render Param Accept
application/json Body
Webextrator Render Url
"https://platform.acedata.cloud"
Webextrator Render Wait Until
load, domcontentloaded, networkidle, commit Webextrator Render Timeout
Webextrator Render Delay
Webextrator Render Wait For Selector
Webextrator Render Block Resources
image, font, media, stylesheet, xhr, fetch Webextrator Render Headers
Show child attributes
Show child attributes
Webextrator Render User Agent
Webextrator Render Callback Url
"https://webhook.site/580b81f5-596e-4321-b03f-606770b0bb83"
Webextrator Render Async
Response
Webextrator Render Response 200
Webextrator Render Response 200 Success
Webextrator Render Response 200 Task Id
Webextrator Render Response 200 Trace Id
Webextrator Render Response 200 Started At
Webextrator Render Response 200 Finished At
Webextrator Render Response 200 Elapsed
Webextrator Render Response 200 Data
Show child attributes
Show child attributes
Was this page helpful?

